# module DidYouMean::NameErrorCheckers

### Public Class Methods

new (exception)
Source

    # File lib/did_you_mean/spell_checkers/name_error_checkers.rb, line 6
    def new(exception)
      case exception.original_message
      when /uninitialized constant/
        ClassNameChecker
      when /undefined local variable or method/,
           /undefined method/,
           /uninitialized class variable/,
           /no member '.*' in struct/
        VariableNameChecker
      else
        NullChecker
      end.new(exception)
    end